package com.sooka.sponest.monitor.camera.mapper;


import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * 摄像头Mapper接口
 *
 * @author ruoyi
 * @date 2022-06-08
 */
@Repository
public interface CentermonitorTCameraMapper {

    /**
     * 更新执法仪在离线状态
     *
     * @param list
     */
    void updateBatchLawEnforcementInstrumentState(List<Map<String, Object>> list);

    /**
     * 更新摄像头类型为录像机离线状态
     *
     * @param list
     */
    void updateBatchVideoRecorderOfflineState(List<String> list);

    /**
     * 更新摄像头类型为录像机在线状态
     *
     * @param list
     */
    void updateBatchVideoRecorderOnlineState(List<String> list);
}

