package com.sooka.sponest.monitor.remoteapi.service.lawenforcement;


import com.ruoyi.common.core.domain.R;
import com.sooka.sponest.monitor.remoteapi.fallback.lawenforcement.RemoteLawenforcementBaseServiceFallbackFactory;
import com.sooka.sponest.monitor.remoteapi.service.ModulesServiceNameContants;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;

import java.util.List;
import java.util.Map;


@FeignClient(
        contextId = "RemoteLawenforcementBaseService",
        value = ModulesServiceNameContants.CENTER_LAWENFORCEMENT,
        fallbackFactory = RemoteLawenforcementBaseServiceFallbackFactory.class
)
public interface RemoteLawenforcementBaseService {

    @PostMapping("/device/deviceOpenOrClose")
    public R deviceOpenOrClose(List<Map<String, Object>> arr);

}
